import 'dart:convert';

import 'package:flutter/material.dart';
import 'package:ssddrtdbx_flutter/shelf.dart';

void main() => runApp(const MyApp());

class MyApp extends StatefulWidget {
  const MyApp({Key? key}) : super(key: key);

  @protected
  @mustCallSuper
  void initState() {}

  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        body: Center(
          child: Column(
            children: [
              Center(
                child: TextField(
                  onChanged: (v) {
                    print(v);
                  },
                ),
              ),
              ElevatedButton(onPressed: connect, child: Text("cliclMe")),
            ],
          ),
        ),
      ),
    );
  }

  connect() {
    print("clicked");
    Zot s = Zot("ws://10.42.0.1:19194").child("abc/xyz/xyz1");
    s.onValueChange((value) {
      print(value);
    });
    for (int i = 0; i < 10; i++) {
      s.setValue(i);
    }
    // s.onDataChange((data)=>print("data, xyz1 =  ${jsonDecode(data[0].toString())["xyz1"]}, xyz2 = ${jsonDecode(data[0].toString())["xyz2"]}"));
  }
}
